######################################################
##     setting imScilab home
##
global imScilab
global tcl_platform

#######################################################
##  setting codeEditor
##
set imScilab(count) 1
if {$tcl_platform(platform) == "unix"} {
	set imScilab(codeEditor,tmpdir) /tmp
	set imScilab(fontsize) 8
	set imScilab(isWindows) 0
} else {
	set imScilab(codeEditor,tmpdir) [file join $imScilab(currdir) temp]
	if {[file exists $imScilab(codeEditor,tmpdir)]} {catch {file delete -force $imScilab(codeEditor,tmpdir)} err
	} 
	catch {file mkdir $imScilab(codeEditor,tmpdir)} err
	set imScilab(fontsize) 10
	set imScilab(isWindows) 1
}



########################################################
#######the global variable that we need
####### We have check following initalization
set imScilab(mainfuncdir)  [file join $imScilab(currdir) {routines}]
set imScilab(libdir)  [file join $imScilab(currdir) {lib}]
set imScilab(imagedir) [file join $imScilab(currdir) {image}]
set imScilab(tempdir) [file join $imScilab(currdir) {temp}]
set imScilab(hahadir) [file join $imScilab(currdir) {haha}]
set imScilab(document) [file join $imScilab(currdir) document]
set imScilab(imfuncdir)	[file join $imScilab(currdir) {imfunc}]
set imScilab(macro) [file join $imScilab(currdir) {macro}]
set imScilab(html)     $imScilab(document)
set imScilab(doc)      [file join $imScilab(document) doc]

set imScilab(isrunning) 0
set imScilab(openedfile) "" 
#set imScilab(main,IsSpeedUp) 1
set imScilab(change) 0
set imScilab(image_change) 0
set imScilab(quit)   0
set imScilab(image_new)    0
set imScilab(new)	0
set imScilab(mainmsg) ""

set imScilab(changeID) 0
#######################################################
## setting balloon
##

set imScilab(balloon,first)  0
set imScilab(balloon,set)    0
set imScilab(balloon,soon)   0
set imScilab(pr,balloon)     1

